#include "deftype.h"
#include "amacro.h"

void prints_not98(unchar *str,int mode)
/* 文字列表示：９８文字は可読化 */
{
unint c,cc;
unchar mojis[7];
	while ((c=*str++)!=0) {
		if (check_kanji1(c)) {
			cc=*str++;
			if (cc==0) break; /* 漢字２バイト目が無い時 */
			c=code98((c<<8|cc),mojis,mode);
			if (c>=0xff00) {
				prints(mojis);
				continue;
			}
		}
		printc2(c);
	}
}
